# instead of drawing the polygon using all the points, use lines between the vertices instead
def draw_from_vertices(self):
    for i in range(self.n-1):
        l = Line(self.img, self.vertices[i], self.vertices[i+1], self.color)
        l.draw()
    l = Line(self.img, self.vertices[0], self.vertices[-1], self.color)
    l.draw()

    
# put the polygon in "matrix form", where each column is one of the vertices
def create_matrix(self):
    matrix = [[],[],[]] # 2D array, row 1 contains x, row 2 contains y, row 3 contains 1
    for v in self.vertices:
        matrix[0].append(v.x)
        matrix[1].append(v.y)
        matrix[2].append(1)
    return matrix


# replace the existing vertices with updated ones in the matrix
def update_vertices(self, matrix):
    self.vertices = [Point(self.img, matrix[0][i], matrix[1][i], self.color) for i in range(self.n)]


def scale(self, ax, ay):
    pass

def rotate(self, theta):
    pass

def translate(self, tx, ty):
    pass
